Luxor PlatformAPI DocumentationMining PoolReporting
Get revenue
Returns a revenue time series for a specified list of subaccounts or for a site. The latest available data is appended daily at 05:00 AM UTC.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
currency_type*string
Which currency to query, e.g. BTC or DOGE.
Value in
- "BTC"
- "LTC_DOGE"
- "SC"
- "ZEC"
- "LTC"
- "DOGE"
Query Parameters
subaccount_names?|array<>|array<>
site_id?|
start_date*string
Format
dateend_date*string
Format
dateResponse Body
application/json
application/json
curl -X GET "https://example.com/v2/pool/revenue/BTC?start_date=2025-01-01&end_date=2025-01-31"{ "currency_type": "BTC", "start_date": "2025-01-01", "end_date": "2025-01-31", "subaccounts": [ { "id": 1, "name": "my_subaccount", "site": { "id": "b0a5fad8-0e09-4f10-ac20-ccd80fb2d138", "name": "My Site", "url": "/v2/workspace/sites/b0a5fad8-0e09-4f10-ac20-ccd80fb2d138" }, "created_at": "2019-08-24T14:15:22Z", "url": "/v2/pool/subaccounts/my_subaccount" } ], "revenue": [ { "date_time": "2019-08-24T14:15:22Z", "revenue": { "currency_type": "BTC", "revenue_type": "MINING", "revenue": 0.00066154 } } ]}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}